> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer usage for an aggregator

> Get the usage of a customer for a specific aggregator over a period.



## OpenAPI

````yaml get /v1/customers/{id}/usage/{aggregator_id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{id}/usage/{aggregator_id}:
    get:
      tags:
        - Customers > Usage
      summary: Get customer usage for an aggregator
      description: Get the usage of a customer for a specific aggregator over a period.
      operationId: getCustomerUsage
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: aggregator_id
          in: path
        - schema:
            type: string
            format: date-time
            description: ISO-8601 date string.
            example: '2026-01-01T00:00:00Z'
          required: true
          description: ISO-8601 date string.
          name: start_date
          in: query
        - schema:
            type: string
            format: date-time
            description: ISO-8601 date string.
            example: '2026-02-01T00:00:00Z'
          required: true
          description: ISO-8601 date string.
          name: end_date
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerUsage'
        '404':
          description: Customer or aggregator not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    CustomerUsage:
      type: object
      properties:
        aggregator_id:
          type: string
          description: Aggregator ID.
        total:
          type: number
          description: Total usage over the period.
        count:
          type: number
          description: Number of events behind the total.
        period_start:
          type: string
          description: Period start (ISO-8601).
        period_end:
          type: string
          description: Period end (ISO-8601).
      required:
        - aggregator_id
        - total
        - count
        - period_start
        - period_end
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````